std::_Tuple_impl< _Idx, _Head, _Tail... > Struct Template Reference
Inheritance diagram for std::_Tuple_impl< _Idx, _Head, _Tail... >:
[legend]

## Public Types

typedef _Head_base< _Idx, _Head > | _Base
typedef _Tuple_impl< _Idx+1, _Tail... > | _Inherited

## Public Member Functions

| _Tuple_impl (_Tuple_impl &&)=default
template<typename _UHead , typename... _UTails>
constexpr | _Tuple_impl (_Tuple_impl< _Idx, _UHead, _UTails... > &&__in)
template<typename _UHead , typename... _UTail, typename = __enable_if_t<sizeof...(_Tail) == sizeof...(_UTail)>>
constexpr | _Tuple_impl (_UHead &&__head, _UTail &&... __tail)
template<typename _Alloc >
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a)
template<typename _Alloc >
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, _Tuple_impl &&__in)
template<typename _Alloc , typename _UHead , typename... _UTails>
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, _Tuple_impl< _Idx, _UHead, _UTails... > &&__in)
template<typename _Alloc , typename _UHead , typename... _UTail, typename = __enable_if_t<sizeof...(_Tail) == sizeof...(_UTail)>>
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, _UHead &&__head, _UTail &&... __tail)
template<typename _Alloc >
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, const _Head &__head, const _Tail &... __tail)
template<typename _Alloc >
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, const _Tuple_impl &__in)
template<typename _Alloc , typename _UHead , typename... _UTails>
constexpr | _Tuple_impl (allocator_arg_t __tag, const _Alloc &__a, const _Tuple_impl< _Idx, _UHead, _UTails... > &__in)
constexpr | _Tuple_impl (const _Head &__head, const _Tail &... __tail)
constexpr | _Tuple_impl (const _Tuple_impl &)=default
template<typename... _UElements>
constexpr | _Tuple_impl (const _Tuple_impl< _Idx, _UElements... > &__in)
template<typename _UHead , typename... _UTails>
constexpr void | _M_assign (_Tuple_impl< _Idx, _UHead, _UTails... > &&__in)
template<typename... _UElements>
constexpr void | _M_assign (const _Tuple_impl< _Idx, _UElements... > &__in)
_Tuple_impl & | operator= (const _Tuple_impl &)=delete

## Static Public Member Functions

static constexpr _Head & | _M_head (_Tuple_impl &__t) noexcept
static constexpr const _Head & | _M_head (const _Tuple_impl &__t) noexcept
static constexpr _Inherited & | _M_tail (_Tuple_impl &__t) noexcept
static constexpr const _Inherited & | _M_tail (const _Tuple_impl &__t) noexcept

## Protected Member Functions

constexpr void | _M_swap (_Tuple_impl &__in)

## Detailed Description

### template<size_t _Idx, typename _Head, typename... _Tail>
struct std::_Tuple_impl< _Idx, _Head, _Tail... >

Recursive tuple implementation. Here we store the `Head` element and derive from a `Tuple_impl` containing the remaining elements (which contains the `Tail`).

Definition at line 258 of file tuple.

The documentation for this struct was generated from the following file:

- tuple